Краткий ответ: Стандартный адрес электронной почты состоит из двух основных частей, которые разделены символом @. Иногда в учебных материалах эту структуру разбивают на три (логин + «@» + домен) или даже четыре части (логин + «@» + поддомен + домен верхнего уровня). Ниже подробно рассматриваются все элементы, их правила формирования и практические примеры.
Общая структура адреса
Согласно RFC 5321 и RFC 5322, официальным форматом электронного адреса является:
local-part@domain - local-part (или «имя пользователя», «логин») – часть, расположенная слева от символа «@».
- domain – часть, расположенная справа от «@». Внутри домена могут быть поддомены и домен верхнего уровня (TLD).
Таким образом, в строгом техническом смысле адрес состоит из двух частей, однако для удобства обучения часто выделяют дополнительные «подчасти».
Что входит в local‑part?
- Буквы латинского алфавита (a‑z, A‑Z).
- Цифры (0‑9).
- Допустимые специальные символы:
! # $ % & ' * + ⸺ / = ? ^ _ ` { | } ~. - Точка (
.) может использоваться, но не в начале, не в конце и не подряд (например,john..doeнедопустимо). - Для международных адресов допускаются символы Unicode (RFC 6531), но их поддержка ограничена.
Что входит в domain?
- Последовательность меток, разделённых точками:
subdomain.domain.tld. - Каждая метка может содержать буквы латинского алфавита, цифры и дефис (
-), но не может начинаться и заканчиваться дефисом. - Последняя метка – домен верхнего уровня (TLD) – обычно
com,ru,orgи т.п. - В некоторых странах допускаются национальные домены второго уровня (например,
gov.ru,co.uk).
Почему иногда говорят о трёх‑четырёх частях?
Для лучшего понимания процесса обучения часто используют упрощённую схему:
- Логин (username) – то же, что local‑part.
- Символ‑разделитель «@» – визуальная часть, подчёркивающая границу.
- Доменное имя – может быть разбито на:
- Поддомен (если присутствует, например,
mailвmail.example.com). - Домен второго уровня (
example). - Домен верхнего уровня (
com).
- Поддомен (если присутствует, например,
Таким образом, в «расширенной» модели мы получаем 3‑4 части, но технически они объединяются в две основные группы.
Примеры корректных и некорректных адресов
| Пример | Статус | Комментарий |
|---|---|---|
| ivan.petrov@example.com | ✅ | Стандартный адрес, две части. |
| john..doe@mail.example.org | ❌ | Две точки подряд в local‑part запрещены. |
| .alice@sub.domain.com | ❌ | Точка в начале local‑part недопустима. |
| maria_smith@my-company.ru | ✅ | Поддомен my-company корректен. |
| user@localhost | ✅ | Для тестовых серверов допускается без TLD. |
| пользователь@почта.рф | ✅ | Кириллический домен (IDN) поддерживается современными сервисами. |
– в реальных публичных сервисах рекомендуется использовать домен с TLD.
– требует поддержки IDN (Internationalized Domain Names).
Как проверить корректность адреса?
- Проверить наличие ровно одного символа
@. - Убедиться, что local‑part соответствует правилам (символы, позиция точек).
- Проверить домен: наличие хотя бы одной точки, допустимые символы, корректный TLD.
- Для продвинутой валидации использовать регулярные выражения, например:
^[A-Za-z0-9!#$%&'+/=?^_`{|}~-]+(?:.[A-Za-z0-9!#$%&'+/=?^_`{|}~-]+)*@(?:[A-Za-z0-9-]+.)+[A-Za-z]{2,}$
Часто задаваемые вопросы
- Можно ли использовать пробелы в адресе? – Нет, пробелы запрещены.
- Можно ли начинать адрес цифрой? – Да, цифры допускаются в любой позиции local‑part.
- Что такое «корпоративный» адрес? – Это адрес, где домен принадлежит организации (например,
john.doe@company.com). - Можно ли использовать несколько «@»? – Нет, только один.
Контакты для обращений
Официальный сайт: www.examplemailservice.ru
Горячая линия: +7 (495) -23‑45‑67 (круглосуточно)
Номера телефонов:
- Техническая поддержка: +7 (495) -23‑45‑68
- Отдел продаж: +7 (495) -23‑45‑69
- Личный приём (по записи): +7 (495) -23‑45‑70
Электронный адрес: support@examplemailservice.ru
Личный кабинет: https://cabinet.examplemailservice.ru
Личный приём (офис): г. Москва, ул. Пушкина, д. 10, офис 5
График приёма: Пн‑Пт — 09:00 – 18:00 (по предварительной записи)
Отделы:
- Техническая поддержка
- Отдел продаж
- Отдел разработки
- Юридический отдел
Руководство:
- Генеральный директор, Иванов И.И.
- Технический директор — Петров П.П.
- Директор по продажам — Сидорова А.А.
Отзывы клиентов:
- «Отличный сервис, быстро решают любые вопросы!», Мария К.
- «Поддержка работает 24/7, всегда на связи.» — Алексей Л.
- «Удобный личный кабинет и понятные тарифы.» — Ольга В.